package main

import (
    "log"
    "time"

    "github.com/posteo/go-agentx"
    "github.com/posteo/go-agentx/pdu"
    "github.com/posteo/go-agentx/value"
)

func main() {
    client, err := agentx.Dial("unix", "/var/agentx/master")
    if err != nil {
        log.Fatalf("%v", err)
    }
    client.Timeout = 1 * time.Minute
    client.ReconnectInterval = 1 * time.Second

    session, err := client.Session()
    if err != nil {
        log.Fatalf("%v", err)
    }

    listHandler := &agentx.ListHandler{}

    item := listHandler.Add("1.3.6.1.4.1.9676.1.1")
    item.Type = pdu.VariableTypeInteger
    item.Value = int32(-123)


    session.Handler = listHandler

    if err := session.Register(127, value.MustParseOID("1.3.6.1.4.1.9676.1")); err != nil {
        log.Fatalf("%v", err)
    }

    for {
        time.Sleep(100 * time.Millisecond)
    }
}
